%global pypi_name XStatic-JSEncrypt

Name:           python-%{pypi_name}
Version:        2.0.0.2
Release:        4%{?dist}
Summary:        JSEncrypt (XStatic packaging standard)

License:        MIT
URL:            http://travistidwell.com/jsencrypt/
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  web-assets-devel

Requires: python-XStatic
Requires: web-assets-filesystem


%description
JSEncrypt JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements. 


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/jsencrypt'|" xstatic/pkg/jsencrypt/__init__.py


%build
# due 
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_jsdir}/jsencrypt
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/jsencrypt/data/jsencrypt.js %{buildroot}/%{_jsdir}/jsencrypt



%files
%doc README.txt
%{python2_sitelib}/xstatic/pkg/jsencrypt
%{python2_sitelib}/XStatic_JSEncrypt-%{version}-py%{python_version}.egg-info
%{python2_sitelib}/XStatic_JSEncrypt-%{version}-py%{python_version}-nspkg.pth
%{_jsdir}/jsencrypt


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 04 2014 Matthias Runge <mrunge@redhat.com> - 2.0.0.2-2
- change BR to python2-devel (rhbz#1135424)

* Fri Aug 29 2014 Matthias Runge <mrunge@redhat.com> - 2.0.0.2-1
- Initial package.
